Bug 109161 - ssh warns about sockopts not working when using ProxyCommand
Summary: ssh warns about sockopts not working when using ProxyCommand
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openssh   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL: http://www.openbsd.org/cgi-bin/cvsweb...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-05 08:58 UTC by David Woodhouse
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-12 04:23:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:114 normal SHIPPED_LIVE Updated openssh packages fix password expiration bugs 2004-05-12 04:00:00 UTC

Description David Woodhouse 2003-11-05 08:58:24 UTC
When using a proxycommand, SSH always gives a warning about not being
able to set the TCP_NODELAY socket option on the pipe which it's using
to communicate with the proxycommand. This extra line of output
confuses many things which use SSH to invoke remote commands,
including pine...


$ ssh -o "proxycommand sh -c '( echo CONNECT %h:%p HTTP/1.0; echo; cat
) | nc 192.168.0.1 3128'" pentafluge.infradead.org exec
bin/courier-imap.sh
getsockopt TCP_NODELAY: Socket operation on non-socket
* PREAUTH Ready.

Fix in $URL.

Comment 1 David Woodhouse 2003-11-05 08:59:43 UTC
Bug also exists in FC1.

Comment 2 David Woodhouse 2003-11-06 12:06:18 UTC
Will commit fix to package cvs tree later today unless I hear otherwise.

Comment 3 John Flanagan 2004-05-12 04:23:37 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-114.html



Note You need to log in before you can comment on or make changes to this bug.